Package com.orchestranetworks.service

# Class ExportImportCSVSpec.Header

java.lang.Object
com.orchestranetworks.service.ExportImportCSVSpec.Header

Enclosing class:
  ExportImportCSVSpec

public static final class ExportImportCSVSpec.Header extends Object
Specifies the header type of the CSV document.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ExportImportCSVSpec.Header`
  `LABEL`
  For each "column", the CSV header includes its label.
  `static final ExportImportCSVSpec.Header`
  `NONE`
  CSV file has no header.
  `static final ExportImportCSVSpec.Header`
  `PATH_IN_TABLE`
  For each "column", the CSV header contains its path in the table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `format()`
  Returns a persistent identifier for this header.
  `String`
  `getLabel()`
  Returns a human-readable label.
  `boolean`
  `isLabel()`
  `boolean`
  `isNone()`
  `boolean`
  `isPathInTable()`
  `static ExportImportCSVSpec.Header`
  `parse(String flag)`
  Parses the specified string and returns the corresponding CSV header instance.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NONE

    public static final ExportImportCSVSpec.Header NONE
    CSV file has no header.

  - ### LABEL

    public static final ExportImportCSVSpec.Header LABEL
    For each "column", the CSV header includes its label. Each label is localized according to the preferred locale of the current session. If no user label is defined, the node name (the last step of the node's `path`) is returned.
    See Also:
      - `Session.getLocaleForSchemaNode(com.orchestranetworks.schema.SchemaNode)`
      - `SchemaNode.getLabel(java.util.Locale)`

  - ### PATH_IN_TABLE

    public static final ExportImportCSVSpec.Header PATH_IN_TABLE
    For each "column", the CSV header contains its path in the table.
    See Also:
      - `SchemaNode.getPathInAdaptation()`

- ## Method Details

  - ### isNone

    public boolean isNone()

  - ### isLabel

    public boolean isLabel()

  - ### isPathInTable

    public boolean isPathInTable()

  - ### getLabel

    public String getLabel()
    Returns a human-readable label.

  - ### format

    public final String format()
    Returns a persistent identifier for this header.
    See Also:
      - `parse(String)`

  - ### parse

    public static ExportImportCSVSpec.Header parse(String flag)
    Parses the specified string and returns the corresponding CSV header instance.

    The specified string must have been generated by `format()`.

    See Also:
      - `format()`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`